﻿<Graph ClassName="InventoryItemExtOTC" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.Common.Extensions;
using PX.Objects.Common;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.DR;
using PX.Objects.EP;
using PX.Objects.GL;
using PX.Objects.IN.Matrix.Graphs;
using PX.Objects.IN;
using PX.Objects.TX;
using PX.Objects;
using PX.TM;
using System.Collections.Generic;
using System;

namespace PX.Objects.IN
{
  public class InventoryItemExtOTC : PXCacheExtension<PX.Objects.IN.InventoryItem>
  {
    #region usrSOContractedPrice 
    [PXDBDecimal]
    [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
    [PXUIField(DisplayName="Contracted Price")]
    public virtual decimal? UsrSOContractedPrice { get; set; }
    public abstract class usrSOContractedPrice : PX.Data.BQL.BqlDecimal.Field<usrSOContractedPrice> { }
    #endregion
  }
}]]></CDATA>
</Graph>